/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.ws.util;

/**
 * Contains the constant values used
 *
 * @version $Id: Constants.java,v 1.1 2006/08/08 08:58:58 gibi Exp $
 */
public interface Constants {

    // Filter type constants which are used in WebServiceSyncSource
    public static final String FILTER_TYPE_SQL                     = "SQL";
    public static final String FILTER_TYPE_CGI                     = "CGI";    
    
    public static final String AUTHENTICATION_FAILED_ERROR_MESSAGE = "Authentication Failed";
    public static final String CONNECTION_ERROR_MESSAGE            = "Connection Error";
    public static final String UNEXPECTED_SERVER_ERROR             = "Unexpected Server Error";
    public static final String UNEXPECTED_ERROR                    = "Unexpected Error";
    
    public static final String SYSTEM_PROPERTY_DEBUG_ENABLED       = 
    "funambol.admin.debug.enabled";

}
