--
-- Initialization data for the Web Services Connector
--
-- @version $Id: init_schema.sql,v 1.1 2006/08/08 08:55:04 gibi Exp $
--
-- Module structure registration
--

delete from fnbl_sync_source_type where id='wsSyncSource';
insert into fnbl_sync_source_type(id, description, class, admin_class)
values('wsSyncSource','Web Service SyncSource','com.funambol.ws.engine.source.WebServiceSyncSource','com.funambol.ws.admin.WebServiceSyncSourceConfigPanel');

delete from fnbl_connector where id='ws';
insert into fnbl_connector(id, name, description, admin_class)
values('ws','FunambolWebServicesConnector','Funambol Web Services Connector','');

delete from fnbl_connector_source_type where connector='ws' and sourcetype='wsSyncSource';
insert into fnbl_connector_source_type(connector, sourcetype)
values('ws','wsSyncSource');

delete from fnbl_module where id='ws';
insert into fnbl_module (id, name, description)
values('ws','ws','WS');

delete from fnbl_module_connector where module='ws' and connector='ws';
insert into fnbl_module_connector(module, connector)
values('ws','ws');
