/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

/**
 * This class is used to exchage the sync item data between the Funambol Web
 * Services Connector and different web services
 *
 * @version $Id: Item.java,v 1.1 2006/08/09 13:12:07 adeac Exp $
 */
public class Item {

    // ------------------------------------------------------------ Private data

    /** Item key */
    private String key;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    /** Item format */
    private String format;

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    /** Item type */
    private String type;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    /** Item content */
    private byte content[];


    public byte[] getContent() {
        return content;
    }

    public void setContent(byte[] content) {
        this.content = content;
    }

    /** Creates a new instance of Item */
    public Item() {

    }

    /** Creates a new instance of Item */
    public Item(String key, String format, String type, byte[] content) {

        setKey(key);
        setFormat(format);
        setType(type);
        setContent(content);

    }

}

